svn commit: samba r14864 - in trunk/source/script/tests: .

metze at samba.org metze at samba.org
Sun Apr 2 12:52:48 GMT 2006


Author: metze
Date: 2006-04-02 12:52:47 +0000 (Sun, 02 Apr 2006)
New Revision: 14864

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=14864

Log:
- enforce timelimits for the tests
- and skip some long tests for now

metze
Modified:
   trunk/source/script/tests/selftest.sh
   trunk/source/script/tests/test_functions.sh
   trunk/source/script/tests/test_posix_s3.sh


Changeset:
Modified: trunk/source/script/tests/selftest.sh
===================================================================
--- trunk/source/script/tests/selftest.sh	2006-04-02 12:29:13 UTC (rev 14863)
+++ trunk/source/script/tests/selftest.sh	2006-04-02 12:52:47 UTC (rev 14864)
@@ -21,6 +21,7 @@
 if [ -z "$TORTURE_MAXTIME" ]; then
     TORTURE_MAXTIME=300
 fi
+export TORTURE_MAXTIME
 
 ##
 ## setup the various environment variables we need

Modified: trunk/source/script/tests/test_functions.sh
===================================================================
--- trunk/source/script/tests/test_functions.sh	2006-04-02 12:29:13 UTC (rev 14863)
+++ trunk/source/script/tests/test_functions.sh	2006-04-02 12:52:47 UTC (rev 14864)
@@ -161,7 +161,10 @@
 		return 1
 	fi
 	
-	( $cmdline > $TEST_LOG 2>&1 )
+	if [ -z "$TORTURE_MAXTIME" ];then
+		TORTURE_MAXTIME=300
+	fi
+	( timelimit $TORTURE_MAXTIME $cmdline > $TEST_LOG 2>&1 )
 	status=$?
 	if [ x"$status" != x"0" ]; then
 		echo "TEST OUTPUT:"

Modified: trunk/source/script/tests/test_posix_s3.sh
===================================================================
--- trunk/source/script/tests/test_posix_s3.sh	2006-04-02 12:29:13 UTC (rev 14863)
+++ trunk/source/script/tests/test_posix_s3.sh	2006-04-02 12:52:47 UTC (rev 14864)
@@ -34,7 +34,7 @@
 
 tests="$base"
 
-skipped="BASE-CHARSET BASE-DELAYWRITE BASE-DELETE BASE-DENY1 BASE-OPENATTR BASE-TCONDEV"
+skipped="BASE-CHARSET BASE-DEFER_OPEN BASE-DELAYWRITE BASE-DELETE BASE-DENY1 BASE-DENY2 BASE-DENY3 BASE-OPENATTR BASE-TCONDEV"
 
 echo "WARNING: Skipping tests $skipped"
 
@@ -55,7 +55,7 @@
     fi
     start=""
     name="$t"
-    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
 done
 
 testok $0 $failed



More information about the samba-cvs mailing list